<app-loading *ngIf="isLoading"></app-loading>

<div nz-row [nzGutter]="[24, 16]">
  <div *ngIf="isCreate,else formReason" nz-col class="gutter-row" nzLg="24">
    <mb-select
      [mbDataSelects]="formGroupList"
      mbKeyLabel="name"
      mbKeyValue="id"
      [(ngModel)]="params.formGroupList"
      mbLabelText="{{ 'development.proposed-unit.table.formGroup' | translate }}"
      mbPlaceholder="{{ 'development.proposed-unit.table.formGroup' | translate }}"

      [mbType]="isSubmitted && !params.formGroupList ? 'error' : 'default'"
      [mbShowError]="isSubmitted && !params.formGroupList"
      [mbErrors]="{required:true}"
      [mbErrorDefs]="[
    { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
  ]"

    ></mb-select>
  </div>

  <ng-template #formReason>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-select
        [mbDataSelects]="listExtendReason"
        mbKeyLabel="code"
        mbKeyValue="name"
        [(ngModel)]="params.reasonExtension"
        mbLabelText="{{ 'development.proposed-unit.table.extendReason' | translate }}"
        mbPlaceholder="{{ 'development.proposed-unit.table.extendReason' | translate }}"

        [mbType]="isSubmitted && !params.reasonExtension ? 'error' : 'default'"
        [mbShowError]="isSubmitted && !params.reasonExtension"
        [mbErrors]="{required:true}"
        [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
    ]"

      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="24">

      <mb-input-text
        [mbIsTextAre]="true"
        [(ngModel)]="params.detailReason"
        [mbConfig]="{ rows: 3, autoSize: false }"
        [mbMaxLength]="200"
        mbPlaceholderText="{{ 'development.proposed-unit.table.reasonDetail' | translate }}"
        mbLabelText="{{ 'development.proposed-unit.table.reasonDetail' | translate }}"

        [mbType]="isSubmitted && !params.detailReason ? 'error' : 'default'"
        [mbShowError]="isSubmitted && !params.detailReason"
        [mbErrors]="{required:true}"
        [mbErrorDefs]="[
      { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
    ]"
      ></mb-input-text>
      </div>
  </ng-template>

</div>




<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="save()"
  ></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="closeModal()">
  </mb-button>
</div>
